Start an asynchronous log search over a date range. Returns a `queryId`; poll with Get Log Query Results until status is Complete.
const url = 'https://api.pingram.io/logs/query';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"dateRangeFilter":[1],"userFilter":"example","envIdFilter":["example"],"statusFilter":"example","channelFilter":["email"],"notificationFilter":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pingram.io/logs/query \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "dateRangeFilter": [ 1 ], "userFilter": "example", "envIdFilter": [ "example" ], "statusFilter": "example", "channelFilter": [ "email" ], "notificationFilter": [ "example" ] }'Authorizations
Request Bodyrequired
object
A tuple of [startTime, endTime] for the date range filter, each representing a unix timestamp.
Responses
200
Successful response
Response type for POST /logs/query
object
Examplegenerated
{ "queryId": "example"}400
Bad Request - validation errors, invalid input
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Examplegenerated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}401
Unauthorized
402
Payment Required - usage limits exceeded
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Examplegenerated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}500
Internal Server Error
502
Bad Gateway - provider error
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Examplegenerated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}